Bug 141141 - Crash when opening Paste dropdown menu on tabbed UI
Summary: Crash when opening Paste dropdown menu on tabbed UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
: 141238 (view as bug list)
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2021-03-21 06:24 UTC by Aron Budea
Modified: 2021-03-27 20:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace (16.02 KB, text/plain)
2021-03-21 06:24 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-03-21 06:24:15 UTC
Created attachment 170601 [details]
Backtrace

- Open Writer, and switched to Tabbed UI.
- Open dropdown for Paste (if button is inactive, put something on the clipboard first).

-> Crash.

Observed using LO 7.2.0.0.alpha0+ (d7ed130f537a81b900c55d222004cc9e88c0b355) / Ubuntu.

This is a regression from the following commit, bibisected using repo bibisect-linux-64-7.2. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c25f4b4db367ab66702e83bf27c2561cc7d0e5f9
author		Caolán McNamara <caolanm@redhat.com>	2021-02-22 19:59:56 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2021-02-23 10:14:27 +0100

weld clipboard menu
Comment 1 Julien Nabet 2021-03-21 08:48:15 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Aron Budea 2021-03-27 14:40:36 UTC
*** Bug 141238 has been marked as a duplicate of this bug. ***
Comment 3 Commit Notification 2021-03-27 19:11:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/618cb39b558b7e3f9a6f2aa8cf0a935602118388

tdf#141141 sync SalFrame::GetFrameWeld and weld::GetPopupParent

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.